X2Go Bug report logs - #977
hardcoded /opt/X11/bin/xmodmap in onmainwindow.cpp still unfixed

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: joerg@hydrops.han.de

Date: Thu, 7 Jan 2016 01:10:02 UTC

Severity: normal

Tags: pending

Merged with 487

Found in version 4.0.2.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#977; Package x2goclient. (Thu, 07 Jan 2016 01:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to joerg@hydrops.han.de:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 07 Jan 2016 01:10:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: joerg@hydrops.han.de
To: submit@bugs.x2go.org
Subject: hardcoded /opt/X11/bin/xmodmap in onmainwindow.cpp still unfixed
Date: Thu, 7 Jan 2016 01:58:32 +0100
Package: x2goclient
Version: 4.0.5.0

This bug affects mac clients only.

Systems:
OSX 10.6.8 + XQuartz 2.7.5 from macports
OSX 10.10.5 + XQuartz 2.7.5 from macports

Hi,

this once was #487 from 2010 and it is still there in 4.0.5.0.
The result of the execution of the command is not checked. The empty
result on stdout is parsed and consequently an empty keymapping and an 
empty  modifier map are sent to the server.

Fixing this with xmodmap commands in session on server does not work any
more because these changes are overridden every 5 seconds by x2goclient 
sending empty keymap and empty modifier map again.

Please check at least the "command not found result" and display an
error message so the user may implement a fix on the client 
using a symlink.

Joerg Ahrens
-- 
------------------------------------------------------------------------------
Joerg Ahrens                                              _/           
Koenigsberger Strasse 32                                _/_/
D 31226 Peine                                         _/  _/
Tel.: +49 5171 57308                          _/    _/_/_/_/
e-mail: joerg@hydrops.han.de                _/_/_/_/      _/
------------------------------------------------------------------------------


Marked as found in versions 4.0.2.0; no longer marked as found in versions 4.0.5.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jan 2016 06:10:02 GMT) Full text and rfc822 format available.

Merged 487 977 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jan 2016 06:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#977; Package x2goclient. (Sun, 10 Jan 2016 07:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 10 Jan 2016 07:35:01 GMT) Full text and rfc822 format available.

Message #14 received at 977@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 977@bugs.x2go.org
Cc: joerg@hydrops.han.de
Subject: Re: [X2Go-Dev] Bug#977: hardcoded /opt/X11/bin/xmodmap in onmainwindow.cpp still unfixed
Date: Sun, 10 Jan 2016 08:25:11 +0100
[Message part 1 (text/plain, inline)]
ACKing, but please don't report duplicates next time.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 05:05:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 13 Jan 2016 05:05:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:27 GMT) Full text and rfc822 format available.

Notification sent to joerg@hydrops.han.de:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 04 May 2016 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 21:30:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.